# $Revision: 1.17 $, $Date: 2007/02/12 22:09:12 $
%define		_modname	classkit
%define		_status		beta
Summary:	%{_modname} - runtime redefinition of class methods
Summary(pl.UTF-8):	%{_modname} - modyfikacja metod klasy w czasie działania skryptu
Name:		php-pecl-%{_modname}
Version:	0.4
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	3d04b0998e03e2375dfa2e118afeaaf3
URL:		http://pecl.php.net/package/classkit/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows a running script to add, remove, rename, and redefine class
methods without reloading.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na dodawanie, usuwanie, zmianę nazwy oraz
redefiniowanie metod klasy bez konieczności ponownego uruchamiania
skryptu.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-classkit.spec,v $
Revision 1.17  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2006/12/19 13:40:52  glen
- use new php extension related macros

Revision 1.14  2006/12/13 22:20:41  glen
- update to 0.4

Revision 1.13  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.12  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.11  2005/10/30 13:29:27  glen
- rel 4

Revision 1.10  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.9  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.8  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.5  2004/08/28 10:57:59  adamg
- updated to 0.3

Revision 1.4  2004/08/25 19:52:37  adamg
- updated to 0.2

Revision 1.3  2004/08/22 08:34:23  adamg
- fixed License

Revision 1.2  2004/08/22 08:31:37  adamg
- updated to 0.1.1

Revision 1.1  2004/08/21 16:16:48  adamg
- new
